Bug 1283456 - gdm fails to start after update to xorg-x11-server-*-1.18.0-2
gdm fails to start after update to xorg-x11-server-*-1.18.0-2
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
23
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-18 20:55 EST by Ian Neal
Modified: 2016-12-20 11:04 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:04:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output from dnf history info (8.93 KB, text/plain)
2015-11-25 19:36 EST, Ian Neal
no flags Details

  None (edit)
Description Ian Neal 2015-11-18 20:55:10 EST
Description of problem:
gdm worked fine with xorg-x11-server-*-1.18.0-1 but following the upgrade to 1.18.0-2 it does not start, switching to lightdm allows me login and use the system

Version-Release number of selected component (if applicable):
gdm v3.18.0-1

How reproducible:
Always

Steps to Reproduce:
1. Have system with ATI Radeon graphics card
2. Update to xorg-x11-server 1.18.0-2
3. Reboot

Actual results:
gdm login screen is not displayed and cannot log in

Expected results:
gdm login screen is displayed and can log in

Additional info:
There were other packages updated at the same time, amongst them were:
efivar-libs
os-prober
qt5*

Switching to another display manager does display a login screen
Comment 1 Ian Neal 2015-11-25 19:31:37 EST
Tested with kdm and lightdm, both work fine.
Updated to gdm-3.18.2-1.fc23.x86_64 and it still fails. Have to Ctrl-Alt-F2, log in, disable gdm through systemctl, enable another display manager and reboot.
Comment 2 Ian Neal 2015-11-25 19:36 EST
Created attachment 1099040 [details]
Output from dnf history info

List of all updates that happened between working and non-working system.
Comment 3 Ian Neal 2016-03-12 19:36:12 EST
Looked at all the .rpmnew files within /etc/dbus-1/system.d/ and replaced the originals with the new conf files.
Ones that were replaced were:
org.freedesktop.login1.conf
org.freedesktop.systemd1.conf
org.fedoraproject.SetroubleshootFixit.conf
org.fedoraproject.Setroubleshootd.conf
Rebooting the system after and gdm now works.
Hint came from http://forums.fedoraforum.org/showthread.php?t=304847

Not sure why the package updates will have required the new system.d conf files.
Comment 4 Fedora End Of Life 2016-11-24 08:34:12 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2016-12-20 11:04:48 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.